CURRENCY_SYMBOLS = ['TRY']
CRYPTO_SYMBOLS = ['BTC', 'EOS', 'ETH', 'DASH', 'ATOM', 'USDT', 'LTC', 'XLM', 'XRP', 'NEO', 'LINK']
TRADE_TYPES = ['buy', 'sell']
DEPOSIT_OR_WITHDRAWAL = ['deposit', 'withdrawal']

SCALE_LIMITS = {
    'BTCTRY': {'price_scale': 2, 'amount_scale': 8}, 'BTC_TRY': {'price_scale': 2, 'amount_scale': 8},
    'ETHBTC': {'price_scale': 5, 'amount_scale': 8}, 'ETH_BTC': {'price_scale': 5, 'amount_scale': 8},
    'ETHTRY': {'price_scale': 2, 'amount_scale': 8}, 'ETH_TRY': {'price_scale': 2, 'amount_scale': 8},
    'XRPTRY': {'price_scale': 3, 'amount_scale': 4}, 'XRP_TRY': {'price_scale': 3, 'amount_scale': 4},
    'LTCTRY': {'price_scale': 1, 'amount_scale': 8}, 'LTC_TRY': {'price_scale': 1, 'amount_scale': 8},
    'USDTTRY': {'price_scale': 3, 'amount_scale': 2}, 'USDT_TRY': {'price_scale': 3, 'amount_scale': 2},
    'BTCUSDT': {'price_scale': 0, 'amount_scale': 8}, 'BTC_USDT': {'price_scale': 0, 'amount_scale': 8},
    'ETHUSDT': {'price_scale': 1, 'amount_scale': 8}, 'ETH_USDT': {'price_scale': 1, 'amount_scale': 8},
    'XRPUSDT': {'price_scale': 4, 'amount_scale': 4}, 'XRP_USDT': {'price_scale': 4, 'amount_scale': 4},
    'LTCUSDT': {'price_scale': 2, 'amount_scale': 8}, 'LTC_USDT': {'price_scale': 2, 'amount_scale': 8},
    'XLMTRY': {'price_scale': 4, 'amount_scale': 4}, 'XLM_TRY': {'price_scale': 4, 'amount_scale': 4},
    'LTCBTC': {'price_scale': 6, 'amount_scale': 8}, 'LTC_BTC': {'price_scale': 6, 'amount_scale': 8},
    'XRPBTC': {'price_scale': 8, 'amount_scale': 4}, 'XRP_BTC': {'price_scale': 8, 'amount_scale': 4},
    'XLMBTC': {'price_scale': 8, 'amount_scale': 4}, 'XLM_BTC': {'price_scale': 8, 'amount_scale': 4},
    'XLMUSDT': {'price_scale': 5, 'amount_scale': 4}, 'XLM_USDT': {'price_scale': 5, 'amount_scale': 4},
    'NEOTRY': {'price_scale': 2, 'amount_scale': 4}, 'NEO_TRY': {'price_scale': 2, 'amount_scale': 4},
    'NEOBTC': {'price_scale': 6, 'amount_scale': 8}, 'NEO_BTC': {'price_scale': 6, 'amount_scale': 8},
    'NEOUSDT': {'price_scale': 2, 'amount_scale': 4}, 'NEO_USDT': {'price_scale': 2, 'amount_scale': 4},
    'EOSTRY': {'price_scale': 2, 'amount_scale': 2}, 'EOS_TRY': {'price_scale': 2, 'amount_scale': 2},
    'EOSUSDT': {'price_scale': 3, 'amount_scale': 2}, 'EOS_USDT': {'price_scale': 3, 'amount_scale': 2},
    'EOSBTC': {'price_scale': 7, 'amount_scale': 4}, 'EOS_BTC': {'price_scale': 7, 'amount_scale': 4},
    'DASHTRY': {'price_scale': 1, 'amount_scale': 8}, 'DASH_TRY': {'price_scale': 1, 'amount_scale': 8},
    'DASHBTC': {'price_scale': 5, 'amount_scale': 8}, 'DASH_BTC': {'price_scale': 5, 'amount_scale': 8},
    'DASHUSDT': {'price_scale': 1, 'amount_scale': 8}, 'DASH_USDT': {'price_scale': 1, 'amount_scale': 8},
    'LINKTRY': {'price_scale': 2, 'amount_scale': 2}, 'LINK_TRY': {'price_scale': 2, 'amount_scale': 2},
    'LINKUSDT': {'price_scale': 3, 'amount_scale': 2}, 'LINK_USDT': {'price_scale': 3, 'amount_scale': 2},
    'LINKBTC': {'price_scale': 7, 'amount_scale': 4}, 'LINK_BTC': {'price_scale': 7, 'amount_scale': 4},
    'ATOMTRY': {'price_scale': 2, 'amount_scale': 2}, 'ATOM_TRY': {'price_scale': 2, 'amount_scale': 2},
    'ATOMUSDT': {'price_scale': 3, 'amount_scale': 2}, 'ATOM_USDT': {'price_scale': 3, 'amount_scale': 2},
    'ATOMBTC': {'price_scale': 7, 'amount_scale': 4}, 'ATOM_BTC': {'price_scale': 7, 'amount_scale': 4},
    'XTZTRY': {'price_scale': 2, 'amount_scale': 2}, 'XTZ_TRY': {'price_scale': 2, 'amount_scale': 2},
    'XTZUSDT': {'price_scale': 3, 'amount_scale': 2}, 'XTZ_USDT': {'price_scale': 3, 'amount_scale': 2},
    'XTZBTC': {'price_scale': 7, 'amount_scale': 4}, 'XTZ_BTC': {'price_scale': 7, 'amount_scale': 4}}
